payments.getStarGiftUpgradeAttributes
Obtains the full list of just the collectible attributes that may appear for a gift type once it's upgraded to a collectible gift ». The result may also include RawStarGiftAttributeModel constructors with the crafted flag set: these models are reserved for crafting » and should be filtered out from regular upgrade previews (and vice versa).
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Obtains the full list of just the collectible attributes that may appear for a gift type once it's upgraded to a collectible gift ». The result may also include RawStarGiftAttributeModel constructors with the crafted flag set: these models are reserved for crafting » and should be filtered out from regular upgrade previews (and vice versa).
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarGiftUpgradeAttributes" \ -H "Content-Type: application/json" \ -d '{ "params": { "giftId": "string" } }'{ "result": { "_": "payments.starGiftUpgradeAttributes", "attributes": [ { "_": "starGiftAttributeModel", "crafted": true, "name": "string", "document": { "_": "documentEmpty", "id": "string" }, "rarity": { "_": "starGiftAttributeRarity", "permille": 0 } } ] }}getStarGifts
Get a list of available [gifts, see here »](https://core.telegram.org/api/gifts) for more info.
getStarGiftUpgradePreview
Obtain a preview of the possible attributes (chosen randomly) a [gift »](https://core.telegram.org/api/gifts) can receive after upgrading it to a [collectible gift »](https://core.telegram.org/api/gifts#collectible-gifts), see [here »](https://core.telegram.org/api/gifts#collectible-gifts) for more info.